icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons_061

Opera < 11.01 Multiple Vulnerabilities

High

Synopsis

The remote host has a web browser that is vulnerable to multiple attack vectors.

Description

The remote host is running the Opera web browser.

Versions of Opera earlier than 11.01 are potentially affected by multiple vulnerabilities :

- When certain large form inputs appear on a web page, they can lead to memory corruption which could be used to execute arbitrary code. (982)

- It is possible to bypass restrictions on 'opera:' URLs to launch clickjacking attacks. (983)

- Certain types of HTTP responses and redirections can cause Opera to mistakenly give elevated privileges to remote web pages. (984)

- When using 'Delete Private Data' and selecting the option to 'Clear all email account passwords', the passwords are not deleted immediately and continue to be available until the browser is restarted. (986)

- In certain cases, the wrong executable is used to display a downloaded file in its folder. (985)

Solution

Upgrade to Opera 11.01 or later.